#
# spec file for package apache2-mod_form
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
Name:           apache2-mod_form
Version:        0.1r146
Release:        5.7
Summary:        mod_form is an Apache Module to Decode Data Submitted from Web Forms
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Servers
Url:            http://apache.webthing.com/mod_form/
#
# The tarball's contents were downloaded from:
# http://apache.webthing.com/svn/apache/forms/mod_form.c
# http://apache.webthing.com/svn/apache/forms/mod_form.h
# the version number 0.1 is arbitrary, because I couldn't find any
# poeml, Mon Sep 28 15:08:43 CEST 2009
# updated to r146 with my patch added that preserves arguments to parse for modules running later
# poeml, Tue Feb  4 22:37:59 CET 2014
Source:         mod_form-%{version}.tar.gz
BuildRequires:  apache-rpm-macros
BuildRequires:  apache2-devel
BuildRequires:  apache2-prefork
BuildRequires:  apache2-worker
#
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
#
Obsoletes:      apache2-webthings-collection < %{version}
Provides:       apache2-webthings-collection = %{version}-%{release}
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_form is a utility to decode data submitted from Web forms. It deals with
both GET and POST methods where the data are encoded using the default content
type application/x-www-form-urlencoded. It does not decode multipart/form-data
(file upload) forms: for those you should use mod_upload.

%prep
%setup -q -n mod_form-%{version}

%build
%{apache_apxs} -c mod_form.c

%install
mkdir -p %{buildroot}/%{apache_libexecdir}
mkdir -p %{buildroot}/%{apache_includedir}
cp -p .libs/mod_form.so %{buildroot}/%{apache_libexecdir}
cp -p mod_form.h %{buildroot}/%{apache_includedir}

%files
%defattr(-,root,root)
%{apache_libexecdir}/*.so
%{apache_includedir}/*.h

%check
set +x
%apache_test_module_load -m form
set -x

%changelog
* Mon Aug 31 2015 pgajdos@suse.com
- test module with %%apache_test_module
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Mon Jun  8 2015 poeml@cmdline.net
- fix dependency on apache2-dev for Debian 7.0/8.0
* Fri Oct 31 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Tue Feb  4 2014 poeml@cmdline.net
- updated to r146 with my patch added that preserves arguments to parse for
  modules running later (so the patch is upstream now)
* Tue Dec  1 2009 poeml@cmdline.net
- Debian/Ubuntu: add postinstall/postrm script to enable the module.
* Tue Sep 29 2009 poeml@suse.de
- unfortunately, the comment from mod_form.c.preserve_args.patch
  has to be removed in order to build the package also for Debian
  4.0 and Ubuntu 8.04 (due to [bnc#492297])
* Tue Sep 29 2009 lars@linux-schulserver.de
- use versioned Provides/Obsoletes
* Mon Sep 28 2009 poeml@suse.de
- debianize package
- the source files are packaged as a little tarball now
* Mon Sep 28 2009 poeml@suse.de
- rename package from apache2-webthings-collection to
  apache2-mod_form (and omit mod_line_edit)
* Fri Mar  6 2009 poeml@suse.de
- enable build for Fedora/CentOS
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Tue Mar 13 2007 poeml@suse.de
- add patch to mod_form to preserve r->args (apr_strtok is
  destructive in this regard). Makes mod_autoindex work again in
  conjunction with directories where FormGET is enabled.
* Sun Feb 11 2007 poeml@suse.de
- install the mod_form header file
* Sun Feb 11 2007 poeml@suse.de
- package created, containing mod_form.{c,h}, mod_line_edit.c
